<?php

// QuickTalk 1.9.0.3 build:20081001

// --------
// HTML start
// --------
echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" xml:lang="en" lang="en">

<head>
<title>Quicktalk installation checker</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1"/>
<link rel="stylesheet" href="admin/qtf_main.css">
</head>
';
echo '
<body>

<!-- PAGE CONTROL -->
<div class="div_page">
<table class="ta_page" width="550" cellspacing="0" style="margin:5px">
<tr class="tr_page">
<td class="td_page">
<!-- PAGE CONTROL -->
';
echo '
<!-- HEADER BANNER -->
<div class="div_banner">
<div class="div_banner_in">
<img src="admin/qtf_logo.gif" width="175" height="50" style="border-width:0" alt="QuickTalk" title="QuickTalk"/>
</div>
</div>
<!-- END HEADER BANNER -->
';
echo '
<!-- BODY MAIN -->
<table width="100%" cellspacing="0" style="border:1px solid #AAAAAA;">
<tr>
<td style="padding:5px 10px 5px 10px;">
<!-- BODY MAIN -->
';

// --------
// 1 CONFIG
// --------

echo '<h1>Checking your configuration</h1>';

$strError = '';

// 1 file exist

  echo 'Checking installed files...<br/>';

  if ( !file_exists('bin/config.php') ) $qtf_error .= 'File <b>config.php</b> is not in the <b>bin</b> directory. Communication with database is impossible.<br/>';
  if ( !file_exists('bin/qtf_init.php') ) $qtf_error .= 'File <b>qtf_init.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';
  if ( !file_exists('bin/qtf_fn_common.php') ) $qtf_error .= 'File <b>qtf_fn_common.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';
  if ( !file_exists('bin/qt_lib_db.php') ) $qtf_error .= 'File <b>qt_lib_db.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';
  if ( !file_exists('bin/qt_lib_txt.php') ) $qtf_error .= 'File <b>qt_lib_txt.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';
  if ( !file_exists('bin/qtf_class_section.php') ) $qtf_error .= 'File <b>qtf_class_section.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';
  if ( !file_exists('bin/qtf_class_topic.php') ) $qtf_error .= 'File <b>qtf_class_topic.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';
  if ( !file_exists('bin/qtf_class_post.php') ) $qtf_error .= 'File <b>qtf_class_post.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';
  if ( !file_exists('bin/qtf_class_vip.php') ) $qtf_error .= 'File <b>qtf_class_vip.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';
  if ( !file_exists('bin/qtf_class_lang.php') ) $qtf_error .= 'File <b>qtf_class_lang.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';

  if ( !empty($strError) ) die($strError);

  echo 'Main files found.<br/><br/>';

// 2 config is correct

  echo 'Checking config.php...<br/>';

  include('bin/config.php');
  include('bin/qtf_fn_common.php');

  if ( !isset($qtf_dbsystem) ) $strError .= 'Variable <b>$qtf_dbsystem</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !isset($qtf_host) )     $strError .= 'Variable <b>$qtf_host</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !isset($qtf_database) ) $strError .= 'Variable <b>$qtf_database</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !isset($qtf_prefix) )   $strError .= 'Variable <b>$qtf_prefix</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !isset($qtf_user) )     $strError .= 'Variable <b>$qtf_user</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !isset($qtf_pwd) )      $strError .= 'Variable <b>$qtf_pwd</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !isset($qtf_port) )     $strError .= 'Variable <b>$qtf_port</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !isset($qtf_dsn) )      $strError .= 'Variable <b>$qtf_dsn</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !empty($strError) ) die($strError);

  // check db type
  if ( !in_array($qtf_dbsystem,array('mysql4','mysql','mssql','pg','ibase','sqlite','db2','access','ifx','oci')) ) die('Unknown db type '.$qtf_dbsystem);
  // check other values
  if ( empty($qtf_host) )      $strError .= 'Variable <b>$qtf_host</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( empty($qtf_database) )  $strError .= 'Variable <b>$qtf_database</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !empty($strError) ) die($strError);

  echo 'Done.<br/><br/>';

// 3 test db connection

  echo 'Connecting to database...<br/>';

  include('bin/qt_lib_db.php');

  $oDB = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
  if ( !empty($oDB->error) ) die ('<p style="color:red">Connection with database failed.<br/>Check that server is up and running.<br/>Check that the settings in the file <b>bin/config.php</b> are correct for your database.</p>');

  echo 'Done.<br/><br/>';

echo '--> Configuration tests completed successfully.';

// --------
// 2 DATABASE
// --------

$strError = '';

echo '<h1>Checking your database design</h1>';

// 1 setting table

  echo 'Checking setting table...<br/>';
   
  $oDB->Query('SELECT setting FROM '.$qtf_prefix.'qtasetting WHERE param="version"');
  if ( !empty($oDB->error) ) die('<br/><font color=red>Problem with table '.$qtf_prefix.'qtasetting</font>');
  $row = $oDB->Getrow();
  $strVersion = $row['setting'];
  echo "Table [".$qtf_prefix."qtasetting] exists. Version is $strVersion.<br/><br/>";
  if ( substr($strVersion,0,3)!='1.9' ) die('But data in this table refers to an incompatible version (must be version 1.9).');

// 2 domain table

  echo 'Checking domain table...<br/>';
  
  $oDB->Query('SELECT count(id) as countid FROM '.$qtf_prefix.'qtadomain');
  if ( !empty($oDB->error) ) die('<br/><font color=red>Problem with table '.$qtf_prefix.'qtadomain</font>');
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  echo "Table [".$qtf_prefix."qtadomain] exists. $intCount domain(s) found.<br/><br/>";

// 3 forum table

  echo 'Checking forum table...<br/>';
  
  $oDB->Query('SELECT count(id) as countid FROM '.$qtf_prefix.'qtaforum');
  if ( !empty($oDB->error) ) die('<br/><font color=red>Problem with table '.$qtf_prefix.'qtaforum</font>');
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  echo "Table [".$qtf_prefix."qtaforum] exists. $intCount forum(s) found.<br/><br/>";

// 4 topic table

  echo "Checking topic table...<br/>";
  
  $oDB->Query('SELECT count(id) as countid FROM '.$qtf_prefix.'qtatopic');
  if ( !empty($oDB->error) ) die('<br/><font color=red>Problem with table '.$qtf_prefix.'qtatopic</font>');
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  echo "Table [".$qtf_prefix."qtatopic] exists. $intCount topic(s) found.<br/><br/>";

// 5 post table

  echo 'Checking post table...<br/>';
  
  $oDB->Query('SELECT count(id) as countid FROM '.$qtf_prefix.'qtapost');
  if ( !empty($oDB->error) ) die('<br/><font color=red>Problem with table '.$qtf_prefix.'qtapost</font>');
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  echo "Table [".$qtf_prefix."qtapost] exists. $intCount post(s) found.<br/><br/>";

// 6 user table

  echo 'Checking user table...<br/>';
  
  $oDB->Query('SELECT count(id) as countid FROM '.$qtf_prefix.'qtauser');
  if ( !empty($oDB->error) ) die('<br/><font color=red>Problem with table '.$qtf_prefix.'qtauser</font>');
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  echo "Table [".$qtf_prefix."qtauser] exists. $intCount user(s) found.<br/><br/>";

echo '--> Database tests completed successfully.';

// --------
// 3 LANGUAGE AND SKIN
// --------

$strError = '';

echo "<h1>Checking language and skin options</h1>";

  $oDB->Query('SELECT setting FROM '.$qtf_prefix.'qtasetting WHERE param="language"');
  $row = $oDB->Getrow();
  $strLang = $row['setting'];
  if ( empty($strLang) ) $strError .= 'Setting <b>language</b> is not defined in the setting table. Application can only work with english.<br/>';  
  if ( !file_exists("language/$strLang/qtf_lang_main.inc") ) $strError .= "File <b>qtf_lang_main.inc</b> is not in the <b>language/xxxx</b> directory.<br/>";
  if ( !file_exists("language/$strLang/qtf_lang_adm.inc") )  $strError .= "File <b>qtf_lang_adm.inc</b> is not in the <b>language/xxxx</b> directory.<br/>";
  if ( !file_exists("language/$strLang/qtf_lang_icon.inc") ) $strError .= "File <b>qtf_lang_icon.inc</b> is not in the <b>language/xxxx</b> directory.<br/>";
  if ( !file_exists("language/$strLang/qtf_lang_reg.inc") )  $strError .= "File <b>qtf_lang_reg.inc</b> is not in the <b>language/xxxx</b> directory.<br/>";
  if ( !file_exists("language/$strLang/qtf_lang_zone.inc") ) $strError .= "File <b>qtf_lang_zone.inc</b> is not in the <b>language/xxxx</b> directory.<br/>";
  if ( !file_exists("language/english/qtf_lang_main.inc") ) $strError .= "File <b>qtf_lang_main.inc</b> is not in the <b>language/english</b> directory. English language is mandatory.<br/>";
  if ( !file_exists("language/english/qtf_lang_adm.inc") )  $strError .= "File <b>qtf_lang_adm.inc</b> is not in the <b>language/english</b> directory. English language is mandatory.<br/>";
  if ( !file_exists("language/english/qtf_lang_icon.inc") ) $strError .= "File <b>qtf_lang_icon.inc</b> is not in the <b>language/english</b> directory. English language is mandatory.<br/>";
  if ( !file_exists("language/english/qtf_lang_reg.inc") )  $strError .= "File <b>qtf_lang_reg.inc</b> is not in the <b>language/english</b> directory. English language is mandatory.<br/>";
  if ( !file_exists("language/english/qtf_lang_zone.inc") ) $strError .= "File <b>qtf_lang_zone.inc</b> is not in the <b>language/english</b> directory. English language is mandatory.<br/>";

  $oDB->Query('SELECT setting FROM '.$qtf_prefix.'qtasetting WHERE param="skin_dir"');
  $row = $oDB->Getrow();
  $strSkin = $row['setting'];

  if ( empty($strSkin) ) $strError .= 'Setting <b>skin</b> is not defined in the setting table. Application will not display correctly.<br/>';  
  if ( !file_exists("skin/$strSkin/qtf_main.css") ) $strError .= "File <b>qtf_main.css</b> is not in the <b>skin/xxxx</b> directory.<br/>";
  if ( !file_exists("skin/default/qtf_main.css") ) $strError .= "File <b>qtf_main.css</b> is not in the <b>skin/default</b> directory. Default skin is mandatory.<br/>";
  
  if ( !empty($strError) ) echo $strError;
  $strError = '';

echo '--> Language and skin files tested.';

// --------
// 4 ADMINISTRATION TIPS
// --------

$strError = '';

echo "<h1>Administration tips</h1>";

// 1 admin email

  echo "Email setting...<br/>";

  $oDB->Query('SELECT setting FROM '.$qtf_prefix.'qtasetting WHERE param="admin_email"');
  $row = $oDB->Getrow();
  $strMail = $row['setting'];
  if ( empty($strMail) )
  {
  $strError .= "<font color=red>Administrator e-mail is not yet defined. It's mandatory to define it !</font><br/>";
  }
  else
  {
  if ( !ereg("^.+@.+\..+$",$strMail) )  $strError .= "<font color=red>Administrator e-mail format seams incorrect. Please check it</font><br/>";
  }

  if ( !empty($strError) ) echo $strError;
  echo "Done.<br/><br/>";
  $strError = '';

// 2 admin password

  echo "Security check...<br/>";

  $oDB->Query('SELECT pwd FROM '.$qtf_prefix.'qtauser WHERE id=1');
  $row = $oDB->Getrow();
  $strPwd = $row['pwd'];
  If ( $strPwd==sha1('Admin') ) $strError .= "<font color=red>Administrator password is still the initial password. It's recommended to change it !</font><br/>";

  if ( !empty($strError) ) echo $strError;
  echo "Done.<br/><br/>";
  $strError = '';

// 3 site url

  echo "Site url...<br/>";

  $oDB->Query('SELECT setting FROM '.$qtf_prefix.'qtasetting WHERE param="site_url"');
  $row = $oDB->Getrow();
  $strText = trim($row['setting']);
  if ( substr($strText,0,7)!="http://" && substr($strText,0,8)!="https://" )
  {
    $strError .= "<font color=red>Site url is not yet defined (or not starting by http://). It's mandatory to define it !</font><br/>";
  }
  else
  {
    $strURL = ( empty($_SERVER['SERVER_HTTPS']) ? "http://" : "https://" ).$_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'];
    $strURL = substr($strURL,0,-18);
    if ( $strURL!=$strText ) $strError .= "<font color=red>Site url seams to be different that the current url. Please check it</font><br/>";
  }   

  if ( !empty($strError) ) echo $strError;
  echo "Done.<br/><br/>";
  $strError = '';

// 4 avatar/upload folder permission

  echo "Folder permissions...<br/>";
  
  if ( !is_dir("avatar") )
  { 
    $strError .= "<font color=red>Directry <b>avatar</b> not found.</font><br/>Please create this directory and make it writeable (chmod 777) if you want to allow avatars<br/>";
  }
  else
  {
    if ( !is_readable("avatar") ) $strError .= "<font color=red>Directry <b>avatar</b> is not readable.</font><br/>Change permissions (chmod 777) if you want to allow avatars<br/>";
    if ( !is_writable("avatar") ) $strError .= "<font color=red>Directry <b>avatar</b> is not writable.</font><br/>Change permissions (chmod 777) if you want to allow avatars<br/>";
  }
  if ( !is_dir("upload") )
  { 
    $strError .= "<font color=red>Directry <b>upload</b> not found.</font><br/>Please create this directory and make it writeable (chmod 777) if you want to allow uploads<br/>";
  }
  else
  {
    if ( !is_readable('upload') ) $strError .= "<font color=red>Directry <b>upload</b> is not readable.</font><br/>Change permissions (chmod 777) if you want to allow uploads<br/>";
    if ( !is_writable('upload') ) $strError .= "<font color=red>Directry <b>upload</b> is not writable.</font><br/>Change permissions (chmod 777) if you want to allow uploads<br/>";
  }   

  if ( !empty($strError) ) echo $strError;
  echo 'Done.<br/><br/>';
  $strError = '';

echo '--> Administration tips completed.';

// --------
// 5 END
// --------

echo '<h1>Result</h1>';
echo 'The checker did not found blocking issues in your configuration.<br/>';

  $oDB->Query('SELECT setting FROM '.$qtf_prefix.'qtasetting WHERE param="board_offline"');
  $row = $oDB->Getrow();
  $strOff = $row['setting'];
  if ( $strOff=='1' ) echo 'Your board seams well installed, but is currently off-line.<br/>Log as Administrator and go to the Administration panel to turn your board on-line.<br/>';

echo '<br/><br/><a href="qtf_index.php">Go to Quicktalk</a>';

// --------
// HTML END
// --------

echo '
<!-- END BODY MAIN -->
</td>
</tr>
</table>
<!-- END BODY MAIN -->
';
echo '
<div class="div_footer_copy">
<span class="p_footer_copy">powered by <a href="http://www.qt-cute.org" class="a_footer_copy">QT-cute</a></span>
</div>
';
echo '
<!-- END PAGE CONTROL -->
</td>
</tr>
</table>
</div>
<!-- END PAGE CONTROL -->

</body>
</html>';

?>
