<?php

// QuickTalk 1.9.0.3 build:20081001

switch($oDB->type)
{
case 'mysql4':
  $strQ='CREATE TABLE '.$qtf_prefix.'qtaforum (
  id int,
  type char(1) default "0",
  status char(1) default "0",
  domainid int default 0,
  title varchar(64) default "untitled",
  titleorder int default 255,
  moderator int default 0,
  moderatorname varchar(24) default "Administrator",
  topics int default 0,
  replies int default 0,
  titlefield char(1) default "0",
  numfield varchar(24),
  infofield varchar(24),
  PRIMARY KEY (id)
  )';
  break;
  
case 'mysql':
  $strQ='CREATE TABLE '.$qtf_prefix.'qtaforum (
  id int,
  type char(1) default "0",
  status char(1) default "0",
  domainid int default 0,
  title varchar(64) default "untitled",
  titleorder int default 255,
  moderator int default 0,
  moderatorname varchar(24) default "Administrator",
  topics int default 0,
  replies int default 0,
  titlefield char(1) default "0",
  numfield varchar(24),
  infofield varchar(24),
  PRIMARY KEY (id)
  )';
  break;

case 'mssql':
  $strQ='CREATE TABLE '.$qtf_prefix.'qtaforum (
  id int  CONSTRAINT pk_'.$qtf_prefix.'qtaforum PRIMARY KEY,
  type char(1) default "0",
  status char(1) default "0",
  domainid int default 0,
  title varchar(64) default "untitled",
  titleorder int default 0,
  moderator int default 0,
  moderatorname varchar(24) default "Administrator",
  topics int default 0,
  replies int default 0,
  titlefield char(1) default "0",
  numfield varchar(24) NULL,
  infofield varchar(24) NULL
  )';
  break;

case 'pg':
  $strQ='CREATE TABLE '.$qtf_prefix.'qtaforum (
  id integer,
  type char(1) default "0",
  status char(1) default "0",
  domainid integer default 0,
  title varchar(64) default "untitled",
  titleorder integer default 255,
  moderator integer default 0,
  moderatorname varchar(24) default "Administrator",
  topics integer default 0,
  replies integer default 0,
  titlefield char(1) default "0",
  numfield varchar(24),
  infofield varchar(24),
  PRIMARY KEY (id)
  )';
  break;

case 'sqlite':
  $strQ='CREATE TABLE '.$qtf_prefix.'qtaforum (
  id integer,
  type text default "0",
  status text default "0",
  domainid integer default 0,
  title text default "untitled",
  titleorder integer default 255,
  moderator integer default 0,
  moderatorname text default "Administrator",
  topics integer default 0,
  replies integer default 0,
  titlefield text default "0",
  numfield text,
  infofield text,
  PRIMARY KEY (id)
  )';
  break;
  
case 'ibase':
  $strQ='CREATE TABLE '.$qtf_prefix.'qtaforum (
  id integer,
  type char(1) default "0",
  status char(1) default "0",
  domainid integer default 0,
  title varchar(64) default "untitled",
  titleorder integer default 255,
  moderator integer default 0,
  moderatorname varchar(24) default "Administrator",
  topics integer default 0,
  replies integer default 0,
  titlefield char(1) default "0",
  numfield varchar(24),
  infofield varchar(24),
  PRIMARY KEY (id)
  )';
  break;
  
case 'access':
  $strQ='CREATE TABLE '.$qtf_prefix.'qtaforum (
  id int  CONSTRAINT pk_'.$qtf_prefix.'qtaforum PRIMARY KEY,
  type char(1),
  status char(1),
  domainid int,
  title varchar(64),
  titleorder int,
  moderator int,
  moderatorname varchar(24),
  topics int,
  replies int,
  titlefield char(1),
  numfield varchar(24),
  infofield varchar(24)
  )';
  break;

case 'db2':
  $strQ='CREATE TABLE '.$qtf_prefix.'qtaforum (
  id integer ,
  type char(1) default "0",
  status char(1) default "0",
  domainid integer default 0,
  title varchar(64) default "untitled",
  titleorder integer default 255,
  moderator integer default 0,
  moderatorname varchar(24) default "Administrator",
  topics integer default 0,
  replies integer default 0,
  titlefield char(1) default "0",
  numfield varchar(24),
  infofield varchar(24),
  PRIMARY KEY (id)
  )';
  break;

case 'ifx':
  $strQ='CREATE TABLE '.$qtf_prefix.'qtaforum (
  id integer,
  type char(1) default "0" ,
  status char(1) default "0" ,
  domainid integer default 0 ,
  title varchar(64) default "untitled" ,
  titleorder integer default 255 ,
  moderator integer default 0 ,
  moderatorname varchar(24) default "Administrator" ,
  topics integer default 0 ,
  replies integer default 0 ,
  titlefield char(1) default "0" ,
  numfield varchar(24),
  infofield varchar(24),
  PRIMARY KEY (id)
  )';
  break;

case 'oci':
  $strQ='CREATE TABLE '.$qtf_prefix.'qtaforum (
  id number(32),
  type char(1) default "0" ,
  status char(1) default "0" ,
  domainid number(32) default 0 ,
  title varchar2(64) default "untitled" ,
  titleorder number(32) default 255 ,
  moderator number(32) default 0 ,
  moderatorname varchar2(24) default "Administrator" ,
  topics number(32) default 0 ,
  replies number(32) default 0 ,
  titlefield char(1) default "0" ,
  numfield varchar2(24),
  infofield varchar2(24),
  CONSTRAINT pk_'.$qtf_prefix.'qtaforum PRIMARY KEY (id))';
  break;

default:
 die('Database type ['.$this->type.'] not supported... Must be mysql, mssql, pg, db2, ifx or access');
 
}

echo '<div style="margin-left:20px; color:blue;">';
$b=$oDB->Query($strQ);
echo '</div>';

if ( !empty($oDB->error) || !$b )
{
  echo '<div class="div_setup_err">',sprintf ($L['E_install'],$qtf_prefix.'qtaforum',$qtf_database,$qtf_user),'</div>';
  echo '<br/><table cellspacing="0" class="ta_button"><tr><td></td><td class="td_button" style="width:120px">&nbsp;<a href="qtf_setup_1.php">',$L['Restart'],'</a>&nbsp;</td></tr></table>';
  exit;
}

$strQ='INSERT INTO '.$qtf_prefix.'qtaforum (
id,type,status,domainid,title,titleorder,moderator,moderatorname,topics,replies,titlefield,numfield,infofield) 
VALUES (0,"1","0",0,"Admin forum",0,0,"Admin",0,0,"1","N","N")';

$oDB->Query($strQ);

?>