<b>Login and Registration Issues</b><br/>
<a href="#L1">Why registering?</a><br/>
<a href="#L2">How registering?</a><br/>
<a href="#L3">Can I hide my E-mail?</a><br/>
<a href="#L4">Lost password!</a><br/>
<a href="#L5">I registered in the past but cannot log in anymore!</a><br/>
<a href="#L6">Why can't I log in?</a><br/>
<br/>
<b>User Preferences and settings</b><br/>
<a href="#S1">How do I change my profile?</a><br/>
<a href="#S2">How do I show an image with my username?</a><br/>
<a href="#S3">How do I change my rank?</a><br/>
<a href="#S4">I cannot click the e-mail of a user</a><br/>
<br/>
<b>Posting Issues</b><br/>
<a href="#P1">How do I post a topic in a forum?</a><br/>
<a href="#P2">How do I edit or delete a post?</a><br/>
<a href="#P3">How do I add a signature to my post?</a><br/>
<a href="#P4">Why can't I access a forum?</a><br/>
<a href="#P5">Which forums are accessible to me?</a><br/>
<br/>
<b>Formatting and Topic Types</b><br/>
<a href="#F1">What is BBCode?</a><br/>
<a href="#F2">Can I use HTML?</a><br/>
<a href="#F3">What are Smileys?</a><br/>
<a href="#F4">Can I post images or orther documents?</a><br/>
<a href="#F5">What are News?</a><br/>
<a href="#F6">What are Locked topics?</a><br/>
<br/>
<b>User Levels</b><br/>
<a href="#U1">What are Administrators?</a><br/>
<a href="#U2">What are Moderators?</a><br/>
<br/>
<br/>
<a id="L1"></a><b>Why registering?</b><br/>
You may not have to. It is up to the administrator of the board as to whether you need to register in order to view, search or post messages. It only takes a few minutes to register so it is recommended you do so.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="L2"></a><b>How registering?</b><br/>
In the registration page you will find the usage policy. Read it carefully. If you agree with the terms and conditions, you can choose your username. Depending on the registration security defined by the Administrator you will have to directly choose your password and confirm it, OR enter your e-mail address (a temporary password will be send to you).
You will also have to copy a code displayed in the form.
If the username you choose is already used by a board member, you will have to choose an other username.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="L3"></a><b>Can I hide my E-mail?</b><br/>
In your profile you will find a privacy option allowing you to hide your e-mail for unregistered visitors or for members.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="L4"></a><b>Lost password!</b><br/>
Don't panic! While your password cannot be retrieved it can be reset. Go to the login page and click Forgotten password. Follow the instructions and you should be back online in no time.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="L5"></a><b>I registered in the past but cannot log in anymore!</b><br/>
The most likely reasons for this are: you entered an incorrect username or password (check the email you were sent when you first registered) or the administrator has deleted your account for some reason. If it is the latter case then perhaps you did not post anything? It is usual for boards to periodically remove users who have not posted anything so as to reduce the size of the database. Try registering again and get involved in discussions.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="L6"></a><b>Why can't I log in?</b><br/>
Have you registered? Seriously, you must register in order to log in. Have you been banned from the board? (A message will be displayed if you have.) If so, you should contact the webmaster or board administrator to find out why. If you have registered and are not banned and you still cannot log in then check and double-check your username and password. Usually this is the problem; if not, contact the board administrator.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="S1"></a><b>How do I change my profile?</b><br/>
Your profile (if you are registered) is stored in the database. To alter them click the Profile link (or on your username in any list page). This will allow you to change all your information.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="S2"></a><b>How do I show an image with my username?</b><br/>
There may be one image below a username when viewing posts. This image is known as an avatar; this is generally unique or personal to each user. It is up to the board administrator to enable avatars. If you are unable to add avatars from the Profile page, it's because the administrator decide it, certainly for good reasons.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="S3"></a><b>How do I change my rank?</b><br/>
You cannot change the wording of any rank (ranks appear next to your username in the memberlist and bellow your name in the message pages). This board use ranks to identify certain roles. For example, moderators and administrators have special roles. It's up to an administrator to promote a member to the moderator rank. A moderator has the right to close/re-open a topic, to move a topic to the correct forum, and to modify the content. An administrator can also perform these actions (and much more). 
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="S4"></a><b>I cannot click the e-mail of a user</b><br/>
Sorry, but users can prevent unregistered users (or event members) from seeing their e-mail. In this situation, you will not be able to see the e-mail in the user's profile page nor from the memberlist page.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="P1"></a><b>How do I post a topic in a forum?</b><br/>
Easy. Click the relevant button on topic screens. You may need to register before you can post a message.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="P2"></a><b>How do I edit or delete a post?</b><br/>
Unless you are the board admin or forum moderator you can only edit or delete your own posts. You can edit a post by clicking the edit button for the relevant post. If someone has already replied to the post, you will find a small piece of text output below the post; it also will appear if moderators or administrators edit the post (they should leave a message saying what they altered and why). Please note that normal users cannot delete a post once someone has replied.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="P3"></a><b>How do I add a signature to my post?</b><br/>
To add a signature to a post you must first create one; this is done via your profile. When a signature is created, it will be displayed with your message. To hide your signature, just change it to an empty text in your profile.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="P4"></a><b>Why can't I access the forums or the messages?</b><br/>
The board administrator can decide to limit the access for unregistered users. In this case, only registered users will be granted to see the forums and the messages. In other cases, unregistered users can see the forums and the topics list, but are not allowed to see the replies. It's the same for the search tool or the memberlist. It's up to the board administrator to decide which part of the board is accessible for visitors.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="P5"></a><b>Which forums are accessible to me?</b><br/>
Members can access two kinds of forums. The public forums and the private forums. A third king is visible only for the moderators and the administrators. In a private forum, the user will only see his own topics, while in a public forum, all topics and replies are visible by the board members. Note that a forum can be closed. This means that it is still accessible, but further posts are no more possible.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="F1"></a><b>What is BBCode?</b><br/>
BBCode is a special implementation of HTML. Whether you can use BBCode is determined by the administrator. BBCode itself is similar in style to HTML: tags are enclosed in square braces [ and ] rather than &lt; and &gt; and it offers greater control over what and how something is displayed.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="F2"></a><b>Can I use HTML?</b><br/>
Yes. To ensure a better readability, it is recommended to enclose your html with the BBC tags [code] and [/code].
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="F3"></a><b>What are Smileys?</b><br/>
Smileys, or Emoticons, are small graphical images which can be used to express some feeling. You can add a smiley to your topic (or your replies) from the posting page.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="F4"></a><b>Can I post images or orther documents?</b><br/>
Yes, the board support document upload in your posts. If the board administrator allows you to upload documents, you will see an additional field in the message form in order to attach a document to your message. The attached document will be available (as link) at the bottom of your message. With the bbc code [img]@[/img] you can also display an attached picture in your text.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="F5"></a><b>What are News?</b><br/>
News often containing important information and you should read them as soon as possible. News are displayed with a distinct icon (generally the top of the topics list to which they are posted. Only moderators and administrator can send News.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="F6"></a><b>What are Closed topics?</b><br/>
Closed topics are set this way by either the forum moderator or board administrator. You cannot reply to closed topics. Topics may be closed for many reasons.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="U1"></a><b>What are Administrators?</b><br/>
Administrators are people assigned the highest level of control over the entire board. These people can control all facets of board operation which include setting permissions, banning users, creating moderators, controlling the board security, style, etc. They also have full moderator capabilities in all the forums.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="U2"></a><b>What are Moderators?</b><br/>
Moderators are individuals whose job it is to look after the running of the forums from day to day. They have the power to edit or delete posts and close, re-open, move, and delete topics in the forum they moderate. Generally moderators are there to prevent people going off-topic or posting abusive or offensive material.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

