<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.9.0.3 build:20081001
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtf_init.php');

// INITIALISE

$oVIP->selfurl = 'qtf_privacy.php';
$oVIP->selfname = $L['Privacy'];

// --------
// HTML START
// --------

$arrJava = array('com'=>false);

include('qtf_p_header.php');

HtmlMsg(0,'620px','',$oVIP->selfname);

$strFile = $_SESSION[QT]['language'].'/sys_rules.txt';
if ( file_exists($strFile) ) { include($strFile); } else { echo "Missing file:<br/>$strFile"; }

// check if coppa
if ( $_SESSION[QT]['register_coppa']=='1' )
{
$strFile = $_SESSION[QT]['language'].'/sys_rules_coppa.txt';
if ( file_exists($strFile) ) { include ($strFile); } else { echo "Missing file:<br/>$strFile"; }
}

HtmlMsg(1);

HtmlMsg(0,'620px','','About QuickTalk');

$strFile = $_SESSION[QT]['language'].'/sys_about.php';
if ( file_exists($strFile) ) { include($strFile); } else { echo 'Missing file:<br/>'.$strFile; }

echo '<p>
<a href="http://validator.w3.org/check?uri=referer"><img src="admin/vxhtml10.png" alt="Valid XHTML 1.0 Strict" height="31" width="88"/></a>&nbsp;
<a href="http://jigsaw.w3.org/css-validator/"><img src="admin/vcss.png" alt="Valid CSS" height="31" width="88"/></a>&nbsp;
</p>

';
HtmlMsg(1);

// HTML END

include('qtf_p_footer.php');

?>